.header {
    background-color: $grey;
    padding: 20px 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 4;

    &__wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    &__logo {
        width: 60px;
    }
}

.navigation {
    &__wrapper {
        display: flex;
        justify-content: flex-end;
        width: 100%;
    }

    &-list {
        position: absolute;
        top: 80px;
        right: 0;
        background-color: $grey;
        padding: 30px;
        padding-right: 90px;
        list-style: none;
        display: none;
        &.active {
            display: block;
        }
    }

    &__item {
        margin: 20px 0;
    }

    &__link {
        font-family: $alt-font-family;
        color: $white;
        text-decoration: none;
        font-weight: bold;
        font-size: 14px;
        text-transform: uppercase;
        padding-bottom: 5px;
        &:hover {
            border-bottom: 1px solid $white;
        }

        &--cart {
            color: $white;
            text-decoration: none;
            position: relative;
        }
    }

    &__book-button {
        text-decoration: none;
        color: $white;
        text-transform: uppercase;
        background-color: $yellow;
        padding: 18px 28px 18px 50px;
        font-size: 14px;
        font-family: $alt-font-family;
        font-weight: bold;
        border-radius: 4px;
        display: block;
        text-align: center;
        margin-left: 30px;
        background-image: url('./files/plate.png');
        background-repeat: no-repeat;
        background-position: 15px 50%;
        display: none;
        &:hover {
            background-color: $yellow-hover;
        }
    }

    &__burger {
        display: block;
        text-decoration: none;
        &.clicked {
            .burger-icon:before {
                content: "\f00d";
            }
        }
    }
}
.cart-arrow-icon {
    position: absolute;
    left: 30px;
    top: -5px;
}

.burger-icon {
    color: $white;
    font-size: 24px;
    display: block;
}

@media screen and (min-width: $desktop){
    .header {
        background: transparent;
    }

    .navigation {
        &__wrapper {
            display: flex;
            justify-content: flex-end;
            width: 100%;
        }
    
        &-list {
            position: unset;
            background-color: transparent;
            padding: 0;
            display: flex;
        }
    
        &__item {
            margin: 0 15px;
        }
    
        &__link {
            padding-bottom: 10px;
        }
    
        &__book-button {
            display: block;
        }

        &__burger {
            display: none;
        }
    }
}